Loading...
Searching...
No Matches
amp Struct Reference
Amplifier API

Master amplifier structure. More...

`#include <amplifier.h>`

Collaboration diagram for amp:
[legend]

## Data Fields

struct amp_caps * | caps
struct amp_state | state

## Detailed Description

Master amplifier structure.

Master amplifier data structure acting as the AMP handle for the controlled amplifier. A pointer to this structure is returned by the amp_init() API function and is passed as a parameter to every amplifier specific API call.

See also
  amp_init(), amp_caps, amp_state

## Field Documentation

## caps

struct amp_caps* amp::caps

Amplifier caps.

## state

struct amp_state amp::state

Amplifier state.

The documentation for this struct was generated from the following file:

- amplifier.h